xine-lib: xine-lib-1.2.13/src/xine-engine/input_cache.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions
input_cache.c File Reference
`#include <xine/xine_internal.h>`
`#include "xine_private.h"`

## Data Structures
struct | cache_input_plugin_t

## Macros
#define | LOG_MODULE "input_cache"
#define | LOG_VERBOSE
#define | DEFAULT_BUFFER_SIZE 8192

## Functions
static off_t | cache_plugin_read (input_plugin_t *this_gen, void *buf_gen, off_t len)
static int | cache_plugin_open (input_plugin_t *this_gen)
static uint32_t | cache_plugin_get_capabilities (input_plugin_t *this_gen)
static buf_element_t * | cache_plugin_read_block (input_plugin_t *this_gen, fifo_buffer_t *fifo, off_t todo)
static off_t | cache_plugin_seek (input_plugin_t *this_gen, off_t offset, int origin)
static off_t | cache_plugin_seek_time (input_plugin_t *this_gen, int time_offset, int origin)
static off_t | cache_plugin_get_current_pos (input_plugin_t *this_gen)
static int | cache_plugin_get_current_time (input_plugin_t *this_gen)
static off_t | cache_plugin_get_length (input_plugin_t *this_gen)
static uint32_t | cache_plugin_get_blocksize (input_plugin_t *this_gen)
static const char * | cache_plugin_get_mrl (input_plugin_t *this_gen)
static void | cache_plugin_dispose (input_plugin_t *this_gen)
static int | cache_plugin_get_optional_data (input_plugin_t *this_gen, void *data, int data_type)
static input_plugin_t * | cache_plugin_new (xine_stream_t *stream, input_plugin_t *main_plugin)
input_plugin_t * | _x_cache_plugin_get_instance (xine_stream_t *stream)

## Macro Definition Documentation

## ◆ DEFAULT_BUFFER_SIZE

#define DEFAULT_BUFFER_SIZE 8192

Referenced by cache_plugin_new().

## ◆ LOG_MODULE

#define LOG_MODULE "input_cache"

Referenced by cache_plugin_dispose(), cache_plugin_new(), and cache_plugin_open().

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ _x_cache_plugin_get_instance()

input_plugin_t * _x_cache_plugin_get_instance | ( | xine_stream_t * | stream | ) |

References cache_plugin_new(), and xine_stream_s::input_plugin.

Referenced by open_internal().

## ◆ cache_plugin_dispose()

static void cache_plugin_dispose | ( | input_plugin_t * | this_gen | ) |
| static

References _x_free_input_plugin(), _x_freep(), LOG_MODULE, lprintf, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_blocksize()

static uint32_t cache_plugin_get_blocksize | ( | input_plugin_t * | this_gen | ) |
| static

References input_plugin_s::get_blocksize.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_capabilities()

static uint32_t cache_plugin_get_capabilities | ( | input_plugin_t * | this_gen | ) |
| static

References input_plugin_s::get_capabilities.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_current_pos()

static off_t cache_plugin_get_current_pos | ( | input_plugin_t * | this_gen | ) |
| static

References input_plugin_s::get_current_pos.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_current_time()

static int cache_plugin_get_current_time | ( | input_plugin_t * | this_gen | ) |
| static

References input_plugin_s::get_current_time.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_length()

static off_t cache_plugin_get_length | ( | input_plugin_t * | this_gen | ) |
| static

References input_plugin_s::get_length.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_mrl()

static const char * cache_plugin_get_mrl | ( | input_plugin_t * | this_gen | ) |
| static

References input_plugin_s::get_mrl.

Referenced by cache_plugin_new().

## ◆ cache_plugin_get_optional_data()

static int cache_plugin_get_optional_data | ( | input_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type )
| static

References cache_plugin_new(), input_plugin_s::get_optional_data, INPUT_CAP_CLONE, INPUT_OPTIONAL_DATA_CLONE, INPUT_OPTIONAL_SUCCESS, INPUT_OPTIONAL_UNSUPPORTED, and NULL.

Referenced by cache_plugin_new().

## ◆ cache_plugin_new()

static input_plugin_t * cache_plugin_new | ( | xine_stream_t * | stream,
|  | input_plugin_t * | main_plugin )
| static

References _, cache_plugin_dispose(), cache_plugin_get_blocksize(), cache_plugin_get_capabilities(), cache_plugin_get_current_pos(), cache_plugin_get_current_time(), cache_plugin_get_length(), cache_plugin_get_mrl(), cache_plugin_get_optional_data(), cache_plugin_open(), cache_plugin_read(), cache_plugin_read_block(), cache_plugin_seek(), cache_plugin_seek_time(), DEFAULT_BUFFER_SIZE, input_plugin_s::get_mrl, input_plugin_s::input_class, LOG_MODULE, lprintf, NULL, xine_stream_s::xine, xine_log(), and XINE_LOG_MSG.

Referenced by _x_cache_plugin_get_instance(), and cache_plugin_get_optional_data().

## ◆ cache_plugin_open()

static int cache_plugin_open | ( | input_plugin_t * | this_gen | ) |
| static

References _, LOG_MODULE, xine_log(), and XINE_LOG_MSG.

Referenced by cache_plugin_new().

## ◆ cache_plugin_read()

static off_t cache_plugin_read | ( | input_plugin_t * | this_gen,
|  | void * | buf_gen,
|  | off_t | len )
| static

References _x_assert, lprintf, and xine_fast_memcpy.

Referenced by cache_plugin_new(), and cache_plugin_read_block().

## ◆ cache_plugin_read_block()

static buf_element_t * cache_plugin_read_block | ( | input_plugin_t * | this_gen,
|  | fifo_buffer_t * | fifo,
|  | off_t | todo )
| static

References _x_assert, BUF_DEMUX_BLOCK, fifo_buffer_s::buffer_pool_alloc, cache_plugin_read(), buf_element_s::content, buf_element_s::size, and buf_element_s::type.

Referenced by cache_plugin_new().

## ◆ cache_plugin_seek()

static off_t cache_plugin_seek | ( | input_plugin_t * | this_gen,
|  | off_t | offset,
|  | int | origin )
| static

References lprintf.

Referenced by cache_plugin_new().

## ◆ cache_plugin_seek_time()

static off_t cache_plugin_seek_time | ( | input_plugin_t * | this_gen,
|  | int | time_offset,
|  | int | origin )
| static

References lprintf.

Referenced by cache_plugin_new().